# Type alias IdObject<C, N, R>

IdObject<C, N, R>: {
[P in keyof R]: P extends "id"
? string
: never
}

#### Type Parameters

- #### C extends Meta.Collections

- #### N extends Meta.CollectionName<C> = Meta.CollectionName<C>

- #### R extends Meta.Resource<C, N> | Meta.SavedInput<C, N> = Meta.Resource<C, N> | Meta.SavedInput<C, N>

- Defined in packages/db/src/meta/id/types.ts:34

Generated using TypeDoc